using mseedChart.Core;
using mseedChart.MainModule.ViewModels;
using mseedChart.MainModule.Views;
using Prism.Ioc;
using Prism.Modularity;
using Prism.Regions;

namespace mseedChart.MainModule
{
    public class MainModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            var regionManager = containerProvider.Resolve<IRegionManager>();
            regionManager.RegisterViewWithRegion(RegionNames.ContentRegion, typeof(ChartPlotView));
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.Register<ChartPlotView>();
            containerRegistry.RegisterSingleton<ChartPlotViewModel>();

        }
    }
}